--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

MANShowHelp = {};

function MANShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function MANShowHelp:load(xmlFile)
	self.MANShowHelp = false;
end;

function MANShowHelp:delete()
end;

function MANShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MANShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function MANShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.MANShowHelp = not self.MANShowHelp;
		end;
	end;
end;



function MANShowHelp:updateTick(dt)
end;


function MANShowHelp:draw()
	if not self.MANShowHelp then
		renderText(0.75, 0.25, 0.02, " Numpad 0: MAN TGA Info Ein ");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.75, 0.25, 0.02, "Numpad 0: MAN TGA Info Aus");
		renderText(0.72, 0.68, 0.025, "- MAN TGA -");			
		renderText(0.72, 0.65, 0.02, "Taste Home: Rundumleuchte ");
		renderText(0.72, 0.63, 0.02, "Kran:");
		renderText(0.72, 0.61, 0.02, "Tasten M/N: Drehen: ");
		renderText(0.72, 0.59, 0.02, "Tasten KP 8/5: Arm hoch/runter");
		renderText(0.72, 0.57, 0.02, "Tasten KP 7/4: Kleiner Arm hoch/runter");
		renderText(0.72, 0.55, 0.02, "Tasten KP 9/6: Ausfahren");
		renderText(0.72, 0.53, 0.02, "Tasten K/L: Hacken drehen");
		renderText(0.72, 0.51, 0.02, "Tasten B/V: Hacken winkel verstellen");			
		--renderText(0.72, 0.49, 0.02, "d");
		--renderText(0.72, 0.47, 0.02, "d");
		--renderText(0.72, 0.45, 0.02, "d");
		--renderText(0.72, 0.43, 0.02, "Key 8: Zwillingsreifen / Warntafeln ");
		--renderText(0.72, 0.41, 0.02, "Key Page_Up: ");
		--renderText(0.72, 0.39, 0.02, "Key Page_Down:");
		--renderText(0.72, 0.37, 0.02, "Key 5: Zugmaul hoch");
		--renderText(0.72, 0.35, 0.02, "Key 6: Zugmaul runter");
		--renderText(0.72, 0.33, 0.02, "
		--renderText(0.72, 0.31, 0.02, "Key 9: Spiegel");
    end;
end;

function MANShowHelp:onLeave()
	self.MANShowHelp = false;
end;




